=== src/Makefile ===
#############################################################################
# Makefile for building: packagesearch
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  packagesearch.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile packagesearch.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libapt-front libtagcoll` -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,-export-dynamic
LIBS          = $(SUBLIBS)  -L/usr/lib -lstdc++ `pkg-config --libs libapt-front libtagcoll` -lrt -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = main.cpp \
		packagesearchimpl.cpp \
		history.cpp \
		runcommand.cpp \
		runcommandinxterm.cpp \
		extalgorithm.cpp \
		applicationfactory.cpp \
		exception.cpp \
		plugincontainer.cpp \
		plugin.cpp \
		singleton.cpp \
		runcommandinwindow.cpp \
		runcommandforoutput.cpp \
		xmldata.cpp \
		pluginmanager.cpp \
		pluginlistitem.cpp \
		pluginsettingsdlg.cpp \
		plugininformer.cpp \
		baseplugincontainer.cpp \
		packagenotfoundexception.cpp \
		packagelistviewitem.cpp \
		packagenameplugin.cpp \
		progressdisplaydlg.cpp \
		customizablelistview.cpp \
		processcontainer.cpp \
		scoredisplayplugin.cpp \
		scoreplugin.cpp \
		scorecalculationstrategybase.cpp \
		columncontroldlg.cpp \
		runcommandwidget.cpp \
		action.cpp \
		actionplugin.cpp \
		packagesearchaboutdlg.cpp .moc/moc_packagesearchimpl.cpp \
		.moc/moc_runcommand.cpp \
		.moc/moc_runcommandinxterm.cpp \
		.moc/moc_searchplugin.cpp \
		.moc/moc_runcommandinwindow.cpp \
		.moc/moc_runcommandforoutput.cpp \
		.moc/moc_pluginmanager.cpp \
		.moc/moc_pluginlistitem.cpp \
		.moc/moc_pluginsettingsdlg.cpp \
		.moc/moc_progressdisplaydlg.cpp \
		.moc/moc_customizablelistview.cpp \
		.moc/moc_processcontainer.cpp \
		.moc/moc_columncontroldlg.cpp \
		.moc/moc_runcommandwidget.cpp
OBJECTS       = .obj/main.o \
		.obj/packagesearchimpl.o \
		.obj/history.o \
		.obj/runcommand.o \
		.obj/runcommandinxterm.o \
		.obj/extalgorithm.o \
		.obj/applicationfactory.o \
		.obj/exception.o \
		.obj/plugincontainer.o \
		.obj/plugin.o \
		.obj/singleton.o \
		.obj/runcommandinwindow.o \
		.obj/runcommandforoutput.o \
		.obj/xmldata.o \
		.obj/pluginmanager.o \
		.obj/pluginlistitem.o \
		.obj/pluginsettingsdlg.o \
		.obj/plugininformer.o \
		.obj/baseplugincontainer.o \
		.obj/packagenotfoundexception.o \
		.obj/packagelistviewitem.o \
		.obj/packagenameplugin.o \
		.obj/progressdisplaydlg.o \
		.obj/customizablelistview.o \
		.obj/processcontainer.o \
		.obj/scoredisplayplugin.o \
		.obj/scoreplugin.o \
		.obj/scorecalculationstrategybase.o \
		.obj/columncontroldlg.o \
		.obj/runcommandwidget.o \
		.obj/action.o \
		.obj/actionplugin.o \
		.obj/packagesearchaboutdlg.o \
		.obj/moc_packagesearchimpl.o \
		.obj/moc_runcommand.o \
		.obj/moc_runcommandinxterm.o \
		.obj/moc_searchplugin.o \
		.obj/moc_runcommandinwindow.o \
		.obj/moc_runcommandforoutput.o \
		.obj/moc_pluginmanager.o \
		.obj/moc_pluginlistitem.o \
		.obj/moc_pluginsettingsdlg.o \
		.obj/moc_progressdisplaydlg.o \
		.obj/moc_customizablelistview.o \
		.obj/moc_processcontainer.o \
		.obj/moc_columncontroldlg.o \
		.obj/moc_runcommandwidget.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		packagesearch.pro
QMAKE_TARGET  = packagesearch
DESTDIR       = 
TARGET        = packagesearch

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: packagesearch.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile packagesearch.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile packagesearch.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/packagesearch1.0.0" || $(MKDIR) ".obj/packagesearch1.0.0"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents packagesearchimpl.h history.h runcommand.h runcommandinxterm.h extalgorithm.h applicationfactory.h exception.h helpers.h informationplugin.h plugin.h iprovider.h searchplugin.h plugincontainer.h singleton.h shortinformationplugin.h runcommandinwindow.h runcommandforoutput.h xmldata.h pluginmanager.h ipluginuser.h pluginlistitem.h pluginsettingsdlg.h plugininformer.h baseplugincontainer.h ipluginfactory.h iplugininformer.h packagenotfoundexception.h packagelistviewitem.h packagenameplugin.h iprogressobserver.h progressdisplaydlg.h customizablelistview.h ixmlstorable.h processcontainer.h scoredisplayplugin.h scoreplugin.h plugincompare.h iscorecalculationstrategy.h scorecalculationstrategybase.h columncontroldlg.h runcommandwidget.h action.h actionplugin.h globals.h packagesearchaboutdlg.h .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents main.cpp packagesearchimpl.cpp history.cpp runcommand.cpp runcommandinxterm.cpp extalgorithm.cpp applicationfactory.cpp exception.cpp plugincontainer.cpp plugin.cpp singleton.cpp runcommandinwindow.cpp runcommandforoutput.cpp xmldata.cpp pluginmanager.cpp pluginlistitem.cpp pluginsettingsdlg.cpp plugininformer.cpp baseplugincontainer.cpp packagenotfoundexception.cpp packagelistviewitem.cpp packagenameplugin.cpp progressdisplaydlg.cpp customizablelistview.cpp processcontainer.cpp scoredisplayplugin.cpp scoreplugin.cpp scorecalculationstrategybase.cpp columncontroldlg.cpp runcommandwidget.cpp action.cpp actionplugin.cpp packagesearchaboutdlg.cpp .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents packagesearch.ui packagesearchaboutdlg.ui runcommandwidget.ui plugincontrol.ui pluginprogressdlg.ui columncontroldlg.ui .obj/packagesearch1.0.0/ && (cd `dirname .obj/packagesearch1.0.0` && $(TAR) packagesearch1.0.0.tar packagesearch1.0.0 && $(COMPRESS) packagesearch1.0.0.tar) && $(MOVE) `dirname .obj/packagesearch1.0.0`/packagesearch1.0.0.tar.gz . && $(DEL_FILE) -r .obj/packagesearch1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_packagesearchimpl.cpp .moc/moc_runcommand.cpp .moc/moc_runcommandinxterm.cpp .moc/moc_searchplugin.cpp .moc/moc_runcommandinwindow.cpp .moc/moc_runcommandforoutput.cpp .moc/moc_pluginmanager.cpp .moc/moc_pluginlistitem.cpp .moc/moc_pluginsettingsdlg.cpp .moc/moc_progressdisplaydlg.cpp .moc/moc_customizablelistview.cpp .moc/moc_processcontainer.cpp .moc/moc_columncontroldlg.cpp .moc/moc_runcommandwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_packagesearchimpl.cpp .moc/moc_runcommand.cpp .moc/moc_runcommandinxterm.cpp .moc/moc_searchplugin.cpp .moc/moc_runcommandinwindow.cpp .moc/moc_runcommandforoutput.cpp .moc/moc_pluginmanager.cpp .moc/moc_pluginlistitem.cpp .moc/moc_pluginsettingsdlg.cpp .moc/moc_progressdisplaydlg.cpp .moc/moc_customizablelistview.cpp .moc/moc_processcontainer.cpp .moc/moc_columncontroldlg.cpp .moc/moc_runcommandwidget.cpp
.moc/moc_packagesearchimpl.cpp: .ui/ui_packagesearch.h \
		iprovider.h \
		ipluginuser.h \
		history.h \
		packagesearchimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) packagesearchimpl.h -o .moc/moc_packagesearchimpl.cpp

.moc/moc_runcommand.cpp: exception.h \
		runcommand.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommand.h -o .moc/moc_runcommand.cpp

.moc/moc_runcommandinxterm.cpp: extalgorithm.h \
		runcommand.h \
		exception.h \
		runcommandinxterm.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandinxterm.h -o .moc/moc_runcommandinxterm.cpp

.moc/moc_searchplugin.cpp: plugin.h \
		ixmlstorable.h \
		searchplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchplugin.h -o .moc/moc_searchplugin.cpp

.moc/moc_runcommandinwindow.cpp: runcommand.h \
		exception.h \
		runcommandwidget.h \
		.ui/ui_runcommandwidget.h \
		runcommandinwindow.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandinwindow.h -o .moc/moc_runcommandinwindow.cpp

.moc/moc_runcommandforoutput.cpp: runcommandforoutput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandforoutput.h -o .moc/moc_runcommandforoutput.cpp

.moc/moc_pluginmanager.cpp: xmldata.h \
		ixmlstorable.h \
		plugininformer.h \
		iplugininformer.h \
		ipluginuser.h \
		plugincontainer.h \
		pluginmanager.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginmanager.h -o .moc/moc_pluginmanager.cpp

.moc/moc_pluginlistitem.cpp: pluginmanager.h \
		xmldata.h \
		ixmlstorable.h \
		plugininformer.h \
		iplugininformer.h \
		ipluginuser.h \
		plugincontainer.h \
		pluginlistitem.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginlistitem.h -o .moc/moc_pluginlistitem.cpp
