=== src/plugins/aptplugin/Makefile ===
#############################################################################
# Makefile for building: libaptplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  aptplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile aptplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = aptplugincontainer.cpp \
		aptsearchplugin.cpp \
		packagedescriptionplugin.cpp \
		packagestatusplugin.cpp \
		aptpluginfactory.cpp \
		ipackagedb.cpp \
		package.cpp \
		iaptsearch.cpp \
		installedversionplugin.cpp \
		availableversionplugin.cpp \
		simplescorecalculationstrategy.cpp \
		aptsearchscorecalculationstrategy.cpp \
		complexscorecalculationstrategy.cpp \
		installedfilterwidget.cpp \
		aptsearchpluginshortinputwidget.cpp \
		aptactionplugin.cpp \
		ipackage.cpp \
		aptfrontpackagedb.cpp \
		aptfrontpackage.cpp .moc/moc_aptplugincontainer.cpp \
		.moc/moc_aptsearchplugin.cpp \
		.moc/moc_packagestatusplugin.cpp \
		.moc/moc_installedfilterwidget.cpp \
		.moc/moc_aptsearchpluginshortinputwidget.cpp \
		.moc/moc_aptactionplugin.cpp
OBJECTS       = .obj/aptplugincontainer.o \
		.obj/aptsearchplugin.o \
		.obj/packagedescriptionplugin.o \
		.obj/packagestatusplugin.o \
		.obj/aptpluginfactory.o \
		.obj/ipackagedb.o \
		.obj/package.o \
		.obj/iaptsearch.o \
		.obj/installedversionplugin.o \
		.obj/availableversionplugin.o \
		.obj/simplescorecalculationstrategy.o \
		.obj/aptsearchscorecalculationstrategy.o \
		.obj/complexscorecalculationstrategy.o \
		.obj/installedfilterwidget.o \
		.obj/aptsearchpluginshortinputwidget.o \
		.obj/aptactionplugin.o \
		.obj/ipackage.o \
		.obj/aptfrontpackagedb.o \
		.obj/aptfrontpackage.o \
		.obj/moc_aptplugincontainer.o \
		.obj/moc_aptsearchplugin.o \
		.obj/moc_packagestatusplugin.o \
		.obj/moc_installedfilterwidget.o \
		.obj/moc_aptsearchpluginshortinputwidget.o \
		.obj/moc_aptactionplugin.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		aptplugin.pro
QMAKE_TARGET  = aptplugin
DESTDIR       = ../
TARGET        = libaptplugin.so
TARGETD       = libaptplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: aptplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile aptplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile aptplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/aptplugin0.0.1" || $(MKDIR) ".obj/aptplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptplugincontainer.h aptsearchplugin.h packagedescriptionplugin.h packagestatusplugin.h aptpluginfactory.h ipackagedb.h package.h iaptsearch.h installedversionplugin.h availableversionplugin.h simplescorecalculationstrategy.h aptsearchscorecalculationstrategy.h complexscorecalculationstrategy.h installedfilterwidget.h aptsearchpluginshortinputwidget.h aptactionplugin.h ipackage.h aptfrontpackagedb.h aptfrontpackage.h .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptplugincontainer.cpp aptsearchplugin.cpp packagedescriptionplugin.cpp packagestatusplugin.cpp aptpluginfactory.cpp ipackagedb.cpp package.cpp iaptsearch.cpp installedversionplugin.cpp availableversionplugin.cpp simplescorecalculationstrategy.cpp aptsearchscorecalculationstrategy.cpp complexscorecalculationstrategy.cpp installedfilterwidget.cpp aptsearchpluginshortinputwidget.cpp aptactionplugin.cpp ipackage.cpp aptfrontpackagedb.cpp aptfrontpackage.cpp .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptsearchpluginshortinputwidget.ui installedfilterwidget.ui .obj/aptplugin0.0.1/ && (cd `dirname .obj/aptplugin0.0.1` && $(TAR) aptplugin0.0.1.tar aptplugin0.0.1 && $(COMPRESS) aptplugin0.0.1.tar) && $(MOVE) `dirname .obj/aptplugin0.0.1`/aptplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/aptplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_aptplugincontainer.cpp .moc/moc_aptsearchplugin.cpp .moc/moc_packagestatusplugin.cpp .moc/moc_installedfilterwidget.cpp .moc/moc_aptsearchpluginshortinputwidget.cpp .moc/moc_aptactionplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_aptplugincontainer.cpp .moc/moc_aptsearchplugin.cpp .moc/moc_packagestatusplugin.cpp .moc/moc_installedfilterwidget.cpp .moc/moc_aptsearchpluginshortinputwidget.cpp .moc/moc_aptactionplugin.cpp
.moc/moc_aptplugincontainer.cpp: aptfrontpackagedb.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		iaptsearch.h \
		aptfrontpackage.h \
		iaptmediator.h \
		aptplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptplugincontainer.h -o .moc/moc_aptplugincontainer.cpp

.moc/moc_aptsearchplugin.cpp: aptsearchplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptsearchplugin.h -o .moc/moc_aptsearchplugin.cpp

.moc/moc_packagestatusplugin.cpp: package.h \
		ipackage.h \
		packagestatusplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) packagestatusplugin.h -o .moc/moc_packagestatusplugin.cpp

.moc/moc_installedfilterwidget.cpp: .ui/ui_installedfilterwidget.h \
		installedfilterwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) installedfilterwidget.h -o .moc/moc_installedfilterwidget.cpp

.moc/moc_aptsearchpluginshortinputwidget.cpp: .ui/ui_aptsearchpluginshortinputwidget.h \
		aptsearchpluginshortinputwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptsearchpluginshortinputwidget.h -o .moc/moc_aptsearchpluginshortinputwidget.cpp

.moc/moc_aptactionplugin.cpp: aptactionplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptactionplugin.h -o .moc/moc_aptactionplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_aptsearchpluginshortinputwidget.h .ui/ui_installedfilterwidget.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_aptsearchpluginshortinputwidget.h .ui/ui_installedfilterwidget.h
.ui/ui_aptsearchpluginshortinputwidget.h: aptsearchpluginshortinputwidget.ui
	/usr/bin/uic-qt4 aptsearchpluginshortinputwidget.ui -o .ui/ui_aptsearchpluginshortinputwidget.h

.ui/ui_installedfilterwidget.h: installedfilterwidget.ui
	/usr/bin/uic-qt4 installedfilterwidget.ui -o .ui/ui_installedfilterwidget.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/aptplugincontainer.o: aptplugincontainer.cpp aptplugincontainer.h \
		aptfrontpackagedb.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		iaptsearch.h \
		aptfrontpackage.h \
		iaptmediator.h \
		dumpavailpackagedb.h \
		aptpluginfactory.h \
		aptsearchplugin.h \
		aptactionplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptplugincontainer.o aptplugincontainer.cpp

.obj/aptsearchplugin.o: aptsearchplugin.cpp iaptsearch.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		complexscorecalculationstrategy.h \
		aptsearchscorecalculationstrategy.h \
		aptsearchplugin.h \
		aptsearchpluginshortinputwidget.h \
		.ui/ui_aptsearchpluginshortinputwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchplugin.o aptsearchplugin.cpp

.obj/packagedescriptionplugin.o: packagedescriptionplugin.cpp packagedescriptionplugin.h \
		package.h \
		ipackage.h \
		ipackagedb.h \
		iaptmediator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagedescriptionplugin.o packagedescriptionplugin.cpp

.obj/packagestatusplugin.o: packagestatusplugin.cpp packagestatusplugin.h \
		package.h \
		ipackage.h \
		installedfilterwidget.h \
		.ui/ui_installedfilterwidget.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagestatusplugin.o packagestatusplugin.cpp

.obj/aptpluginfactory.o: aptpluginfactory.cpp aptpluginfactory.h \
		aptsearchplugin.h \
		aptactionplugin.h \
		packagestatusplugin.h \
		package.h \
		ipackage.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h
