=== src/plugins/filenameplugin/Makefile ===
#############################################################################
# Makefile for building: libfilenameplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  filenameplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = filenameplugin.cpp \
		filenameplugincontainer.cpp \
		filenamepluginfactory.cpp \
		filenameview.cpp \
		filenamesearchinput.cpp \
		filenamefeedbackwidget.cpp \
		filenameactionplugin.cpp .moc/moc_filenameplugin.cpp \
		.moc/moc_filenameplugincontainer.cpp \
		.moc/moc_filenameview.cpp \
		.moc/moc_filenamesearchinput.cpp \
		.moc/moc_filenamefeedbackwidget.cpp \
		.moc/moc_filenameactionplugin.cpp
OBJECTS       = .obj/filenameplugin.o \
		.obj/filenameplugincontainer.o \
		.obj/filenamepluginfactory.o \
		.obj/filenameview.o \
		.obj/filenamesearchinput.o \
		.obj/filenamefeedbackwidget.o \
		.obj/filenameactionplugin.o \
		.obj/moc_filenameplugin.o \
		.obj/moc_filenameplugincontainer.o \
		.obj/moc_filenameview.o \
		.obj/moc_filenamesearchinput.o \
		.obj/moc_filenamefeedbackwidget.o \
		.obj/moc_filenameactionplugin.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		filenameplugin.pro
QMAKE_TARGET  = filenameplugin
DESTDIR       = ../
TARGET        = libfilenameplugin.so
TARGETD       = libfilenameplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: filenameplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/filenameplugin0.0.1" || $(MKDIR) ".obj/filenameplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenameplugin.h filenameplugincontainer.h filenamepluginfactory.h filenameview.h filenamesearchinput.h filenamefeedbackwidget.h filenameactionplugin.h .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenameplugin.cpp filenameplugincontainer.cpp filenamepluginfactory.cpp filenameview.cpp filenamesearchinput.cpp filenamefeedbackwidget.cpp filenameactionplugin.cpp .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenamefeedbackwidget.ui filenamesearchinput.ui filenameview.ui .obj/filenameplugin0.0.1/ && (cd `dirname .obj/filenameplugin0.0.1` && $(TAR) filenameplugin0.0.1.tar filenameplugin0.0.1 && $(COMPRESS) filenameplugin0.0.1.tar) && $(MOVE) `dirname .obj/filenameplugin0.0.1`/filenameplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/filenameplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_filenameplugin.cpp .moc/moc_filenameplugincontainer.cpp .moc/moc_filenameview.cpp .moc/moc_filenamesearchinput.cpp .moc/moc_filenamefeedbackwidget.cpp .moc/moc_filenameactionplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_filenameplugin.cpp .moc/moc_filenameplugincontainer.cpp .moc/moc_filenameview.cpp .moc/moc_filenamesearchinput.cpp .moc/moc_filenamefeedbackwidget.cpp .moc/moc_filenameactionplugin.cpp
.moc/moc_filenameplugin.cpp: filenameplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameplugin.h -o .moc/moc_filenameplugin.cpp

.moc/moc_filenameplugincontainer.cpp: filenamepluginfactory.h \
		filenameplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameplugincontainer.h -o .moc/moc_filenameplugincontainer.cpp

.moc/moc_filenameview.cpp: .ui/ui_filenameview.h \
		filenameview.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameview.h -o .moc/moc_filenameview.cpp

.moc/moc_filenamesearchinput.cpp: .ui/ui_filenamesearchinput.h \
		filenamesearchinput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenamesearchinput.h -o .moc/moc_filenamesearchinput.cpp

.moc/moc_filenamefeedbackwidget.cpp: .ui/ui_filenamefeedbackwidget.h \
		filenamefeedbackwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenamefeedbackwidget.h -o .moc/moc_filenamefeedbackwidget.cpp

.moc/moc_filenameactionplugin.cpp: filenameactionplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameactionplugin.h -o .moc/moc_filenameactionplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_filenamefeedbackwidget.h .ui/ui_filenamesearchinput.h .ui/ui_filenameview.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_filenamefeedbackwidget.h .ui/ui_filenamesearchinput.h .ui/ui_filenameview.h
.ui/ui_filenamefeedbackwidget.h: filenamefeedbackwidget.ui
	/usr/bin/uic-qt4 filenamefeedbackwidget.ui -o .ui/ui_filenamefeedbackwidget.h

.ui/ui_filenamesearchinput.h: filenamesearchinput.ui
	/usr/bin/uic-qt4 filenamesearchinput.ui -o .ui/ui_filenamesearchinput.h

.ui/ui_filenameview.h: filenameview.ui
	/usr/bin/uic-qt4 filenameview.ui -o .ui/ui_filenameview.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/filenameplugin.o: filenameplugin.cpp filenameplugin.h \
		filenameview.h \
		.ui/ui_filenameview.h \
		filenamesearchinput.h \
		.ui/ui_filenamesearchinput.h \
		filenamefeedbackwidget.h \
		.ui/ui_filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugin.o filenameplugin.cpp

.obj/filenameplugincontainer.o: filenameplugincontainer.cpp filenameplugincontainer.h \
		filenamepluginfactory.h \
		filenameactionplugin.h \
		filenameplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugincontainer.o filenameplugincontainer.cpp

.obj/filenamepluginfactory.o: filenamepluginfactory.cpp filenamepluginfactory.h \
		filenameactionplugin.h \
		filenameplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamepluginfactory.o filenamepluginfactory.cpp

.obj/filenameview.o: filenameview.cpp filenameview.h \
		.ui/ui_filenameview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameview.o filenameview.cpp

.obj/filenamesearchinput.o: filenamesearchinput.cpp filenamesearchinput.h \
		.ui/ui_filenamesearchinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamesearchinput.o filenamesearchinput.cpp

.obj/filenamefeedbackwidget.o: filenamefeedbackwidget.cpp filenamefeedbackwidget.h \
		.ui/ui_filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamefeedbackwidget.o filenamefeedbackwidget.cpp

.obj/filenameactionplugin.o: filenameactionplugin.cpp filenameactionplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameactionplugin.o filenameactionplugin.cpp

.obj/moc_filenameplugin.o: .moc/moc_filenameplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugin.o .moc/moc_filenameplugin.cpp

.obj/moc_filenameplugincontainer.o: .moc/moc_filenameplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugincontainer.o .moc/moc_filenameplugincontainer.cpp

.obj/moc_filenameview.o: .moc/moc_filenameview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameview.o .moc/moc_filenameview.cpp

.obj/moc_filenamesearchinput.o: .moc/moc_filenamesearchinput.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamesearchinput.o .moc/moc_filenamesearchinput.cpp

.obj/moc_filenamefeedbackwidget.o: .moc/moc_filenamefeedbackwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamefeedbackwidget.o .moc/moc_filenamefeedbackwidget.cpp

.obj/moc_filenameactionplugin.o: .moc/moc_filenameactionplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameactionplugin.o .moc/moc_filenameactionplugin.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
