=== debian/changelog ===
packagesearch (2.1ubuntu1) edgy; urgency=low

  * Rebuild to pick up a new apt SOVER. (Malone: #65460)
  * Add libsqlite0-dev and libglib2.0-dev to Build-Depends.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 16 Oct 2006 23:39:33 +1000

packagesearch (2.1) unstable; urgency=low

  * New upstream release
     - removed obsolete instantiation.cpp file (Closes: #357355, 
       already fixed before in NMU)
     - switched backend to use libapt-front in main program and
       relevant plugins (Closes: #364551, #348493)
     - prepared for gcc 4.1 (Closes: #369424)
     - checks for debtags availability before trying to open (Closes: #355625)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 1 June 2006 13:49:02 +0100

packagesearch (2.0.6-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix duplicate template instantiation, thanks to Ben Hutchings and Martin
    Michlmayr.  (Closes: #357355, #360553).
  * Urgency set to high due to RC bug fix.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 25 May 2006 15:27:25 +0200

packagesearch (2.0.6) unstable; urgency=low

  * build depend on libmysqlclient15-dev now (Closes: #343788)
  * fixed crashes when using filesearch or listing for non-installed files

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 13 Feb 2006 11:34:02 +0100
